Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ServerMBean

public interface ServerMBean
extends KernelMBean, TargetMBean

This class represents a Weblogic Server. A WebLogic Server is a Java process that is a container for J2EE applications.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getAdministrationPort()`
`ClusterMBean` | `getCluster()` The cluster to which this server belongs.
`ClusterRuntimeMBean` | `getClusterRuntime()` Returns an mbean containing runtime information about the cluster which was started from this configuration mbean.
`int` | `getClusterWeight()` The "weight" of this server in the cluster it belongs to, if any.
`java.lang.String` | `getDefaultIIOPPassword()` Returns the password for the default IIOP user.
`java.lang.String` | `getDefaultIIOPUser()` Returns the default IIOP user.
`DomainLogFilterMBean` | `getDomainLogFilter()` Domain log filter to use for log messages of this server.
`boolean` | `getExpectedToRun()` Is this server expected to run if the domain is started.
`java.lang.String` | `getExtraRmicOptions()` Returns the extra options passed to rmic during server-side generation.
`java.lang.String` | `getHelpPageURL()` Sets the directory or URL for the WebLogic Admin help pages The help pages are shipped in the "docs/adminhelp" directory, in the default document root in public_html
`java.lang.String` | `getInterfaceAddress()` The interface address used by this member to specify a NIC used to handle multicast traffic.
`java.lang.String` | `getJavaCompiler()` Returns the Java Compiler for all applications that need to compile Java code.
`java.lang.String` | `getJavaCompilerPostClassPath()` Returns the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJDBCLogFileName()` The name of the JDBC log file if JDBC logging is enabled.
`java.lang.String[]` | `getJNDITransportableObjectFactoryList()` List of factories that create transportable objects.
`java.lang.String` | `getListenAddress()`
`int` | `getListenPort()` The server's listen port.
`int` | `getListenThreadStartDelaySecs()`
`int` | `getLoginTimeout()` Set the login timeout for the server.
`int` | `getLoginTimeoutMillis()` Interval to wait for a read to fail on login; 0 to disable
`weblogic.management.configuration.MachineMBean` | `getMachine()` Return the machine on which this machine is intended to run or is running.
`java.lang.String` | `getPreferredSecondaryGroup()` The preferred replication group for the server's secondaries
`java.lang.String` | `getReplicationGroup()` The server's replication group.
`java.lang.String` | `getRootDirectory()` The root directory for the weblogic installation for this server.
`java.lang.String` | `getTransactionLogFilePrefix()` Returns the transaction log file path prefix for the server.
`int` | `getTunnelingClientPingSecs()` Interval (in seconds) at which to ping an http-tunneled client to see if its still alive.
`int` | `getTunnelingClientTimeoutSecs()` Duration (in seconds) after which a missing http-tunneled client is considered dead.
`WebServerMBean` | `getWebServer()` Return the web server for this server.
`boolean` | `getWorkspaceShowUserKeysOnly()` Controls whether user-inserted items are shown in the WebLogic console.
`XMLRegistryMBean` | `getXMLRegistry()` Return the XML Registry for the server
`java.lang.String` | `getZACPublishRoot()` Returns the root (storage) directory on WebLogic for ZAC packages.
`boolean` | `isEnabledForDomainLog()` This determines, if messages from this server are sent to the domain wide logfile.
`boolean` | `isHttpdEnabled()` Enables HTTP access
`boolean` | `isIIOPEnabled()` Whether or not IIOP support is enabled.
`boolean` | `isJDBCLoggingEnabled()` Whether or not logging of JDBC logstream is enabled.
`boolean` | `isJMSDefaultConnectionFactoriesEnabled()` Enables JMS default connection factories
`boolean` | `isTunnelingEnabled()` Enables tunneling via http
`boolean` | `isZACEnabled()` Whether or not the Zero Admin Client feature is enabled.
`void` | `setAcceptBacklog(int count)`
`void` | `setAdministrationPort(int port)`
`void` | `setCluster(ClusterMBean cluster)` Set the cluster to which this server belongs.
`void` | `setClusterWeight(int weight)` Set the cluster weight for this server.
`void` | `setConsoleInputEnabled(boolean enable)`
`void` | `setDefaultIIOPPassword(java.lang.String password)` Sets the password for the default IIOP user.
`void` | `setDefaultIIOPUser(java.lang.String user)` Set the default IIOP user.
`void` | `setDomainLogFilter(DomainLogFilterMBean filter)`
`void` | `setEnabledForDomainLog(boolean choice)`
`void` | `setExecuteQueues(ExecuteQueueMBean[] queues)`
`void` | `setExtraRmicOptions(java.lang.String options)`
`void` | `setHelpPageURL(java.lang.String url)`
`void` | `setHttpdEnabled(boolean enable)`
`void` | `setIIOPConnectionPools(java.util.Map pools)` Set the IIOP connection pools
`void` | `setIIOPEnabled(boolean enable)` Set whether or not IIOP support is enabled.
`void` | `setInterfaceAddress(java.lang.String address)` Sets the interface address used by this memeber to specify which NIC to use for multicast traffic.
`void` | `setJavaCompiler(java.lang.String javaCompiler)`
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)`
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)`
`void` | `setJDBCLogFileName(java.lang.String logFileName)`
`void` | `setJDBCLoggingEnabled(boolean enable)`
`void` | `setJMSDefaultConnectionFactoriesEnabled(boolean enabled)`
`void` | `setJNDITransportableObjectFactoryList(java.lang.String[] list)`
`void` | `setListenAddress(java.lang.String address)`
`void` | `setListenPort(int port)` Set the listen port for the server.
`void` | `setLoginTimeout(int timeout)` Set the login timeout for the server, in milliseconds.
`void` | `setLoginTimeoutMillis(int count)`
`void` | `setMachine(weblogic.management.configuration.MachineMBean machine)` Set the machine on which this server is meant to run.
`void` | `setPreferredSecondaryGroup(java.lang.String group)` Set the preferred replication group for the server's secondaries.
`void` | `setReplicationGroup(java.lang.String group)` Set the server's replication group.
`void` | `setRootDirectory(java.lang.String root)` Set the root directory for the weblogic installation for this server.
`void` | `setSystemPassword(java.lang.String password)`
`void` | `setTransactionLogFilePrefix(java.lang.String pathPrefix)`
`void` | `setTunnelingClientPingSecs(int secs)`
`void` | `setTunnelingClientTimeoutSecs(int secs)`
`void` | `setTunnelingEnabled(boolean enabled)`
`void` | `setWorkspaceShowUserKeysOnly(boolean b)`
`void` | `setXMLRegistry(XMLRegistryMBean registry)` Set the XML Registry for the server
`void` | `setZACEnabled(boolean enable)` Set whether or not the Zero Admin Client feature is enabled.
`void` | `setZACPublishRoot(java.lang.String path)` Set the root (storage) directory on WebLogic for ZAC packages.
`void` | `stop()` Stop this server.

Methods inherited from interface weblogic.management.configuration.KernelMBean
`getCompleteHTTPMessageTimeout, getCompleteIIOPMessageTimeout, getCompleteT3MessageTimeout, getDefaultProtocol, getDefaultSecureProtocol, getLog, getMaxHTTPMessageSize, getMaxIIOPMessageSize, getMaxT3MessageSize, getSSL, getStdoutSeverityLevel, getThreadPoolPercentSocketReaders, getThreadPoolSize, getValidProtocols, isInstrumentStackTraceEnabled, isLogRemoteExceptionsEnabled, isNativeIOEnabled, isReverseDNSAllowed, isStdoutDebugEnabled, isStdoutEnabled, setDefaultProtocol, setDefaultSecureProtocol, setDGCIdlePeriodsUntilTimeout, setInstrumentStackTraceEnabled, setLogRemoteExceptionsEnabled, setNativeIOEnabled, setReverseDNSAllowed, setStdoutDebugEnabled, setStdoutEnabled, setStdoutSeverityLevel, setThreadPoolPercentSocketReaders, setThreadPoolSize`

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Method Detail

### getRootDirectory

    public java.lang.String getRootDirectory()

  The root directory for the weblogic installation for this server.

  A configurable MBean attribute
  Default Value: "."
  Old Property: weblogic.system.home

### setRootDirectory

    public void setRootDirectory(java.lang.String root)
                          throws javax.management.InvalidAttributeValueException

  Set the root directory for the weblogic installation for this server.

### getMachine

    public weblogic.management.configuration.MachineMBean getMachine()

  Return the machine on which this machine is intended to run or is running. If this returns null, it means that this server is not assigned to run on any machine and will not be started by the infrastructure.

  A configurable MBean attribute

### setMachine

    public void setMachine(weblogic.management.configuration.MachineMBean machine)
                    throws javax.management.InvalidAttributeValueException

  Set the machine on which this server is meant to run. If the server is already running, this will migrate the server to a different machine. If the machine is the same as the machine is the server is already running on, this is a no-op.

  Migration consists of taking down the machine using the stop method on the Server (#stop), and restarting the server on the new machine. If anything fails during migration, the appropriate exception will be thrown.

  Setting the machine to null means that the server should not be started. If it is already running, it is shutdown.

  Throws:
    NullPointerException - if the machine argument is invalid.

### getListenPort

    public int getListenPort()

  The server's listen port.

  A configurable MBean attribute
  Default Value: 7001

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

  Set the listen port for the server.

  Legal Minimum Value: 1
  Legal Maximum Value: 65534

### getLoginTimeout

    public int getLoginTimeout()

  Set the login timeout for the server.

  A configurable MBean attribute
  Default Value: 1000

### setLoginTimeout

    public void setLoginTimeout(int timeout)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Set the login timeout for the server, in milliseconds. This value must be equal to or greater than 0.

  A dynamic MBean attribute
  Legal Minimum Value: 0

### getCluster

    public ClusterMBean getCluster()

  The cluster to which this server belongs.

  A configurable MBean attribute
  Default Value: null

### setCluster

    public void setCluster(ClusterMBean cluster)

  Set the cluster to which this server belongs.

### getClusterWeight

    public int getClusterWeight()

  The "weight" of this server in the cluster it belongs to, if any.

  A configurable MBean attribute
  Default Value: 100
  Legal Minimum Value: 1
  Legal Maximum Value: 100

### setClusterWeight

    public void setClusterWeight(int weight)
                          throws javax.management.InvalidAttributeValueException

  Set the cluster weight for this server.

  Legal Value: value > 0 && value <= 100

### getReplicationGroup

    public java.lang.String getReplicationGroup()

  The server's replication group.

### setReplicationGroup

    public void setReplicationGroup(java.lang.String group)
                             throws javax.management.InvalidAttributeValueException

  Set the server's replication group.

### getPreferredSecondaryGroup

    public java.lang.String getPreferredSecondaryGroup()

  The preferred replication group for the server's secondaries

### setPreferredSecondaryGroup

    public void setPreferredSecondaryGroup(java.lang.String group)
                                    throws javax.management.InvalidAttributeValueException

  Set the preferred replication group for the server's secondaries.

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Returns an mbean containing runtime information about the cluster which was started from this configuration mbean. Returns null if no such cluster exists.

### getWebServer

    public WebServerMBean getWebServer()

  Return the web server for this server. A server has exactly one WebServer. A server may also have one or more VirtualHosts. A VirtualHost is a subclass of WebServer.

### getExpectedToRun

    public boolean getExpectedToRun()

  Is this server expected to run if the domain is started.

  A configurable MBean attribute
  Default Value: true

### stop

    public void stop()

  Stop this server. This method attempts a soft shutdown of the server. If the server is not responsive, the kill method may be used.

  See Also:
    `#kill`

### isJDBCLoggingEnabled

    public boolean isJDBCLoggingEnabled()

  Whether or not logging of JDBC logstream is enabled.

  Old Property: weblogic.jdbc.enableLogFile

### setJDBCLoggingEnabled

    public void setJDBCLoggingEnabled(boolean enable)

### getJDBCLogFileName

    public java.lang.String getJDBCLogFileName()

  The name of the JDBC log file if JDBC logging is enabled.

  Old Property: weblogic.jdbc.logFileName

### setJDBCLogFileName

    public void setJDBCLogFileName(java.lang.String logFileName)
                            throws javax.management.InvalidAttributeValueException

### isZACEnabled

    public boolean isZACEnabled()

  Whether or not the Zero Admin Client feature is enabled.

  Default Value: true

### setZACEnabled

    public void setZACEnabled(boolean enable)

  Set whether or not the Zero Admin Client feature is enabled.

  Old Property: weblogic.zac.enable

### getZACPublishRoot

    public java.lang.String getZACPublishRoot()

  Returns the root (storage) directory on WebLogic for ZAC packages.

  Default Value: "exports"
  Old Property: weblogic.zac.publishRootProp

### setZACPublishRoot

    public void setZACPublishRoot(java.lang.String path)
                           throws javax.management.InvalidAttributeValueException

  Set the root (storage) directory on WebLogic for ZAC packages.

### isIIOPEnabled

    public boolean isIIOPEnabled()

  Whether or not IIOP support is enabled.

  Default Value: true
  Old Property: weblogic.system.enableIIOP

### setIIOPEnabled

    public void setIIOPEnabled(boolean enable)

  Set whether or not IIOP support is enabled.

### getDefaultIIOPUser

    public java.lang.String getDefaultIIOPUser()

  Returns the default IIOP user.

  Default Value: "guest"
  Old Property: weblogic.iiop.user

### setDefaultIIOPUser

    public void setDefaultIIOPUser(java.lang.String user)
                            throws javax.management.InvalidAttributeValueException

  Set the default IIOP user.

### getDefaultIIOPPassword

    public java.lang.String getDefaultIIOPPassword()

  Returns the password for the default IIOP user.

  Default Value: "guest"
  Old Property: weblogic.iiop.password

### setDefaultIIOPPassword

    public void setDefaultIIOPPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

  Sets the password for the default IIOP user.

### isHttpdEnabled

    public boolean isHttpdEnabled()

  Enables HTTP access

  Default Value: true
  Old Property: weblogic.httpd.enable

### setHttpdEnabled

    public void setHttpdEnabled(boolean enable)

### setSystemPassword

    public void setSystemPassword(java.lang.String password)
                           throws javax.management.InvalidAttributeValueException

### getHelpPageURL

    public java.lang.String getHelpPageURL()

  Sets the directory or URL for the WebLogic Admin help pages The help pages are shipped in the "docs/adminhelp" directory, in the default document root in public_html

  Default Value: "/docs/adminhelp/"
  Old Property: weblogic.system.helpPageURL

### setHelpPageURL

    public void setHelpPageURL(java.lang.String url)
                        throws javax.management.InvalidAttributeValueException

### getWorkspaceShowUserKeysOnly

    public boolean getWorkspaceShowUserKeysOnly()

  Controls whether user-inserted items are shown in the WebLogic console.

  Default Value: false;
  Old Property: weblogic.workspace.showUserKeysOnly

### setWorkspaceShowUserKeysOnly

    public void setWorkspaceShowUserKeysOnly(boolean b)

### setConsoleInputEnabled

    public void setConsoleInputEnabled(boolean enable)

### getListenThreadStartDelaySecs

    public int getListenThreadStartDelaySecs()

### getListenAddress

    public java.lang.String getListenAddress()

  Old Property: weblogic.system.bindAddr

### setListenAddress

    public void setListenAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

### getInterfaceAddress

    public java.lang.String getInterfaceAddress()

  The interface address used by this member to specify a NIC used to handle multicast traffic.

  A configurable MBean attribute
  Old Property: weblogic.cluster.interfaceAddress

### setInterfaceAddress

    public void setInterfaceAddress(java.lang.String address)
                             throws javax.management.InvalidAttributeValueException

  Sets the interface address used by this memeber to specify which NIC to use for multicast traffic. This may not take effect once the server has already started listening on a MulticastSocket.

  Throws:
    java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

### setAcceptBacklog

    public void setAcceptBacklog(int count)
                          throws javax.management.InvalidAttributeValueException

### getLoginTimeoutMillis

    public int getLoginTimeoutMillis()

  Interval to wait for a read to fail on login; 0 to disable

  Default Value: 5000
  Old Property: webogic.system.readTimeoutMillis
  Legal Minimum Value: 0
  Legal Maximum Value: 100000

### setLoginTimeoutMillis

    public void setLoginTimeoutMillis(int count)
                               throws javax.management.InvalidAttributeValueException

### getAdministrationPort

    public int getAdministrationPort()

  Default Value: 0
  Old Property: webogic.system.AdministrationPort

### setAdministrationPort

    public void setAdministrationPort(int port)
                               throws javax.management.InvalidAttributeValueException

### getJNDITransportableObjectFactoryList

    public java.lang.String[] getJNDITransportableObjectFactoryList()

  List of factories that create transportable objects.

  Old Property: weblogic.jndi.transportableObjectFactories

### setJNDITransportableObjectFactoryList

    public void setJNDITransportableObjectFactoryList(java.lang.String[] list)
                                               throws javax.management.InvalidAttributeValueException

### setIIOPConnectionPools

    public void setIIOPConnectionPools(java.util.Map pools)
                                throws javax.management.InvalidAttributeValueException

  Set the IIOP connection pools

### setExecuteQueues

    public void setExecuteQueues(ExecuteQueueMBean[] queues)
                          throws javax.management.InvalidAttributeValueException

### getXMLRegistry

    public XMLRegistryMBean getXMLRegistry()

  Return the XML Registry for the server

  A configurable MBean attribute

### setXMLRegistry

    public void setXMLRegistry(XMLRegistryMBean registry)
                        throws javax.management.InvalidAttributeValueException

  Set the XML Registry for the server

### getJavaCompiler

    public java.lang.String getJavaCompiler()

  Returns the Java Compiler for all applications that need to compile Java code.

  Default Value: "javac"

### setJavaCompiler

    public void setJavaCompiler(java.lang.String javaCompiler)
                         throws javax.management.InvalidAttributeValueException

### getJavaCompilerPreClassPath

    public java.lang.String getJavaCompilerPreClassPath()

  Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.

  Default Value: null

### setJavaCompilerPreClassPath

    public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                     throws javax.management.InvalidAttributeValueException

### getJavaCompilerPostClassPath

    public java.lang.String getJavaCompilerPostClassPath()

  Returns the options to append to the Java compiler classpath for when we need to compile Java code.

  Default Value: null

### setJavaCompilerPostClassPath

    public void setJavaCompilerPostClassPath(java.lang.String postClassPath)
                                      throws javax.management.InvalidAttributeValueException

### getExtraRmicOptions

    public java.lang.String getExtraRmicOptions()

  Returns the extra options passed to rmic during server-side generation.

  Default Value: null

### setExtraRmicOptions

    public void setExtraRmicOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

### getTransactionLogFilePrefix

    public java.lang.String getTransactionLogFilePrefix()

  Returns the transaction log file path prefix for the server.

  Default Value: "./"

### setTransactionLogFilePrefix

    public void setTransactionLogFilePrefix(java.lang.String pathPrefix)
                                     throws javax.management.InvalidAttributeValueException

### isEnabledForDomainLog

    public boolean isEnabledForDomainLog()

  This determines, if messages from this server are sent to the domain wide logfile.

  Default Value: true

### setEnabledForDomainLog

    public void setEnabledForDomainLog(boolean choice)
                                throws javax.management.InvalidAttributeValueException,
                                       DistributedManagementException

  A dynamic MBean attribute

### getDomainLogFilter

    public DomainLogFilterMBean getDomainLogFilter()

  Domain log filter to use for log messages of this server. If none, is specified, all messages of severity ERROR and above are forwarded to the domain logfile. To disable this behaviour use 'EnabledForDomainLog' attribute.

### setDomainLogFilter

    public void setDomainLogFilter(DomainLogFilterMBean filter)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  A dynamic MBean attribute

### isTunnelingEnabled

    public boolean isTunnelingEnabled()

  Enables tunneling via http

  A dynamic MBean attribute
  Default Value: false
  Old Property: weblogic.httpd.tunnelingenabled

### setTunnelingEnabled

    public void setTunnelingEnabled(boolean enabled)
                             throws DistributedManagementException

### getTunnelingClientPingSecs

    public int getTunnelingClientPingSecs()

  Interval (in seconds) at which to ping an http-tunneled client to see if its still alive.

  Default Value: 45
  Old Property: weblogic.httpd.tunneling.clientPingSecs

### setTunnelingClientPingSecs

    public void setTunnelingClientPingSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### getTunnelingClientTimeoutSecs

    public int getTunnelingClientTimeoutSecs()

  Duration (in seconds) after which a missing http-tunneled client is considered dead.

  Default Value: 40
  Old Property: weblogic.httpd.tunneling.clientTimeoutSecs

### setTunnelingClientTimeoutSecs

    public void setTunnelingClientTimeoutSecs(int secs)
                                       throws javax.management.InvalidAttributeValueException

### isJMSDefaultConnectionFactoriesEnabled

    public boolean isJMSDefaultConnectionFactoriesEnabled()

  Enables JMS default connection factories

  A dynamic MBean attribute
  Default Value: true

### setJMSDefaultConnectionFactoriesEnabled

    public void setJMSDefaultConnectionFactoriesEnabled(boolean enabled)
                                                 throws DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD